article-sort-order date-asc
max-items 0
history-limit 0
cache-file "~/.config/newsbeuter/cache.db"
error-log "~/.config/newsbeuter/error.log"

confirm-exit no
auto-reload no
browser $BROWSER

### macros
# w - open in palemoon
macro w set browser ".local/Scripts/palemoon.sh %u"; open-in-browser ; set browser "$BROWSER %u"
# q - open in qutebrowser
macro q set browser ".local/Scripts/launch-qutebrowser.sh %u"; open-in-browser ; set browser "$BROWSER %u"
# t - open in lynx
macro t set browser "lynx %u"; open-in-browser ; set browser "$BROWSER %u"
# p - play in mpv
macro p set browser "mpv %u"; open-in-browser ; set browser "$BROWSER %u"
# l - play in mpv - low quality (yt only)
macro l set browser "mpv --ytdl-format=18 %u"; open-in-browser ; set browser "$BROWSER %u"
# y - add to ytdl script list
macro y set browser "echo %u >> $HOME/.cache/ytdl_script_list.tmp"; open-in-browser ; set browser "$BROWSER %u"
# d - download with uget
macro d set browser "uget-gtk %u 2>/dev/null &"; open-in-browser ; set browser "$BROWSER %u"
# c - copy to clipboard
macro c set browser "echo -n %u | xclip -selection clipboard" ; open-in-browser ; set browser "$BROWSER %u"
# x - copy to primary clipboard
macro x set browser "echo -n %u | xclip -selection primary" ; open-in-browser ; set browser "$BROWSER %u"


### keys
bind-key U show-urls

### colors
color background           default default
color listnormal           default default
color listfocus            color3 color1 bold
color listnormal_unread    color3 default bold
color listfocus_unread     color3 color1 bold
color info                 color8 color1
color article              color1 default

### highlights
highlight article "^(Feed|Title|Link|Date|Author):.*$" color3
#highlight article "https?://[^ ]+" color3 color0 protect
